#!/bin/bash -x
#
# lancer le script avec un argument de 1 à 9 pour limiter la recherche aux
# fichiers modifiés entre maintenant et 1x24h à 9x24h.
# 
# Il faut que Bridge stocke les metadonnées dans un fichier externe en .xmp
# Ce script est prévu pour fonctionner avec des noms de fichiers en IMG_xxxx.CR2
# Si vos fichiers sont nommés différamment, modifiez les occurrences de IMG_ et
# de CR2 en fonction de vos besoins.
#
# Attention : le script n'a pas été testé sur des fichiers ou répertoires dont 
# le nom contient des espaces ou des accents.
#
case $1 in
	[1-9])
		find_args="-mtime -$1"
		;;
	*)
		find_args=""
		;;
esac

for XML in $(find . $find_args -name "IMG_*xmp"); do 
 rating=$(awk '/xap:Rating/ {gsub(/ *<[^>]*>/,"",$0); print $0}' "$XML")
 [ -f "${XML/xmp/CR2}" ] && xattr -w "com.apple.metadata:kMDItemStarRating" $rating "${XML/xmp/CR2}"
done
